/*!
* @file Skill.cpp
* @brief ゲーム中のスキルを定義する
* @date 2013/12/17
* @author Deskull
* 2013 Sikabane Works.
*/

#include "stdafx.h"
#include "Skill.h"

namespace Deeangband
{

	Skill::Skill(ID id, TAG tag, GameWorld *gameWorld) : GameElement(id, tag, gameWorld)
	{
		this->SetDammyData();
	}

	Skill::Skill(void)
	{
		this->SetDammyData();
	}

	Skill::~Skill(void)
	{
	}

	void Skill::SetDammyData(void)
	{
		this->name = "ダミー";
		this->details = "()";
	}

	std::string Skill::GetName(void)
	{
		return this->name;
	}

	std::string Skill::GetDetails(void)
	{
		return this->details;
	}

	SKILL_RANK Skill::CalcSkillRank(Creature *creaturePtr, TAG tag)
	{
		if(creaturePtr)
		{
			return (SKILL_RANK)sqrt(creaturePtr->GetSkillExp(tag) / 100); //!< 計算は後々検討し直す。
		}
		else return 0;
	}

}